## plasma-framework 5.31.0

=== debian/changelog ===
plasma-framework (5.31.0-0ubuntu1) zesty; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.31.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:56 +0000

plasma-framework (5.30.0-0ubuntu2) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test, in order
    to fix spurious autopkgtests failures.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 07 Feb 2017 18:46:27 +0000

plasma-framework (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Add new required dependency 'qml-module-org-kde-kconfig' for plasma-
    framework. Required now for a working plasma kicker/runner and
    breeze sddm greeter.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:49 +0000

plasma-framework (5.28.0-0ubuntu1) zesty; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Drop old kdoctools-dev build dep which is now replaced by
    libkf5doctools-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, importing the plasma-framework-dev -> libkf5plasma-dev
    renaming, add Breaks/Replaces against plasma-framework-dev older versions
    in libkf5plasma-dev.
  * New upstream release (5.28.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:19:14 +0000
