## plasma-framework 5.37.0

=== debian/changelog ===
plasma-framework (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:08 +0200

plasma-framework (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
    + Fix build with cmake 3.8 (3ce913b3f997e61358c7384987424225f03964d3)
      (Closes: #871129) Thanks to Lucas Nussbaum for the report
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5plasma-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set Priority to optional
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:00 +0200

plasma-framework (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
    + Support non-square icons (Closes: 863417)
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Raymond Wooninck ]
  * also include signing-key
  * Add signing key

  [ Jonathan Riddell ]
  * update .install
  * new dep on qml-module-org-kde-kconfig
  * install qml-module-qtquick-templates2
  * more qml deps
  * ECMConfig.cmake

  [ Harald Sitter ]
  * start openbox for dialogstatetest

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:48 +0200
