## plasma-framework 5.38.0

=== debian/changelog ===
plasma-framework (5.38.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.38.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:18:20 +0100

plasma-framework (5.37.0-0ubuntu1) artful; urgency=medium

  * Drop now included upstream_fix_notifications_on_x.patch
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:50:15 +0100

plasma-framework (5.36.0-0ubuntu3) artful; urgency=medium

  * Ignore tests on armhf until Qt 5.9 transition is complete

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 09:04:39 +0100

plasma-framework (5.36.0-0ubuntu2) artful; urgency=medium

  * debian/patches: apply upstream_fix_notifications_on_x.patch; fixes
    occasional misplaced desktop notifications in X. KDE BUG: 381130

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 21 Jul 2017 17:17:54 +0100

plasma-framework (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:43 +0100

plasma-framework (5.35.0a-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:00:19 +0100

plasma-framework (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:28:12 +0100

plasma-framework (5.33.0-0ubuntu2) artful; urgency=medium

  * debian/patches: upstream_fix_icon_sizing.patch; cherry pick icon sizing
    fix from frameworks 5.34
  * debian/patches upstream_fix_build_with_cmake_3.8.patch; needed as artful
    now has cmake 3.8. Can be dropped in frameworks 5.34.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 14 May 2017 09:17:29 +0100

plasma-framework (5.33.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update installed qml files and dependencies

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.33.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:08:06 +0100
