## plasma-framework 5.42.0

=== debian/changelog ===
plasma-framework (5.42.0-3) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls

  [ Pino Toscano ]
  * Limit the libkf5wayland-dev build dependency as linux-any, as it is
    available only on Linux architectures.
  * Remove extra trailing whitespaces in changelog.
  * Remove duplicated/extra Priority field for plasma-framework-dev.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Feb 2018 23:20:57 +0100

plasma-framework (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:23 +0100

plasma-framework (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * Add missing breaks replaces for qml-module-org-kde-kirigami2
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:13 +0100

plasma-framework (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0). (Closes: 875971)
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Add missing libkf5wayland-dev build dependency and bump doctools
  * Update symbols files
  * Update symbols files
  * Add missing runtime dependency libkf5windowsystem-dev.
    Thanks to Adrian Bunk for reporting (Closes: 877187)
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:22 -0300
